### Method

# Gimp Drawable desaturate

deprecated: 3.2 since: 2.10

#### Declaration [src]

    gboolean
    gimp_drawable_desaturate (
      GimpDrawable* drawable,
      GimpDesaturateMode desaturate_mode
    )

#### Description [src]

Desaturate the contents of the specified drawable, with the specified formula.

This procedure desaturates the contents of the specified drawable, with the specified formula. This procedure only works on drawables of type RGB color.

Available since: 2.10

Deprecated since: 3.2

Use filter “gimp:desaturate” instead.

#### Parameters

`desaturate_mode`

  Type: `GimpDesaturateMode`

  The formula to use to desaturate.

#### Return value

Type: `gboolean`

TRUE on success.